Subject: bug#56088: closed (Re: bug#56088: Emacs Elfeed does not display non English characters)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jul 2023 23:52:02 +0000

Your bug report

#56088: Emacs Elfeed does not display non English characters

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56088: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56088
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56088: Emacs Elfeed does not display non English characters
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jul 2023 02:51:38 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Oleg Pykhalov <[email-masked]> writes:

> After ‘guix pull’ from 0c5299200ffcd16370f047b7ccb187c60f30da34 to
> 85d7ad2be89b4a93e23b2e5715f90a682c34c09d Elfeed in Emacs does not
> display non English characters.  See the screenshot.

It seems that the issue is not specific to Emacs packaged in Guix.

https://github.com/skeeto/elfeed/issues/437 partially solves the issue:

> Somehow, calling M-x toggle-enable-multibyte-characters twice fixes
> the multibyte character display.
>
> Any ideas to what might cause this or how to debug this? E.g. what
> functions to step through, what variables and environment variables to
> check?  System and version information
>
> I use the latest elfeed commit 243add9 with (setq elfeed-use-curl
> t). Also as seen in the screenshot, I use elfeed-goodies, but
> disabling it doesn't fix the problem, so it's not the cause.
>
> I use the master of the pure-gtk emacs fork with native-compile,
> runnin M-X emacs-version prints
>
> GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30,
> cairo version 1.17.4) of 2021-08-09
>
> I'm on Archlinux and have some locale settings which are a mixture of
> english and german for different LC_... variables, but launching emacs
> with LC_ALL=C also didn't fix this issue.  @meliache Author meliache
> commented Aug 23, 2021
>
> ...
>
> Oh, okay, it was an issue with my personal locale or language
> environment, something that apparently wasn't fixed by launching emacs
> with LC_ALL=C. But adding the line
>
> (set-language-environment "utf-8")
>
> to my init fixed this somehow man_shrugging

Apologies for the noise, closing the issue.

Oleg.

Subject: Emacs Elfeed does not display non English characters
From: Oleg Pykhalov <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 19 Jun 2022 15:56:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

After ‘guix pull’ from 0c5299200ffcd16370f047b7ccb187c60f30da34 to
85d7ad2be89b4a93e23b2e5715f90a682c34c09d Elfeed in Emacs does not
display non English characters.  See the screenshot.